#
# ERIS 2009
#
# This example shows how to execute the AIPS task mandl, which 
# produces an image. This image will be shown in the TV-server 
# enables the AIPS TV server
#
# comments to Hans-Raiber Kloeckner 
# hrk@astro.ox.ac.uk
#
from time import sleep
#
import AIPS
from AIPSTask import AIPSTask
from AIPSTV import AIPSTV

AIPS.userno = 456                          # set the aips user number

AIPS.log    = open('./TUT1.log','w')       # define the log file


mandl = AIPSTask('mandl')
mandl.go()

tv = AIPSTV()
tv.start()

kntr         = AIPSTask('kntr')
kntr.inname  = 'MANDLELBROT'
kntr.inclass = 'MANDL'     
kntr.inseq   = 1        
kntr.indisk  = 1
kntr.dovec   = -1
kntr.docont  = -1
kntr.dotv    = 1
kntr.go() 

print 'AIPS TV is goin down in 10 secounds'
sleep(10)

tv.kill()
